Highlighted

Photoshop Elements 15 damaged

New Here ,
Nov 21, 2019

Copy link to clipboard

Copied

I just got a new computer & am operating MacOS Catalina.  When I go to open photoshop it says "your application install seems to be damaged".  I have deleted the program & redownloaded from Adobe & cannot reinstall.  Is it jsut no longer compatible?

 

[Moving from generic Start/Help forum to the specific Program forum... Mod]
[To find a forum for your program please start at https://community.adobe.com/]

Most Valuable Participant
Correct answer by Test Screen Name | Most Valuable Participant

Just no longer compatible. With Catalina, Apple decided to make ALL old apps obsolete. Part of the Joy of Mac I guess.

TOPICS
Bug, Feature request

Views

198

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Photoshop Elements 15 damaged

New Here ,
Nov 21, 2019

Copy link to clipboard

Copied

I just got a new computer & am operating MacOS Catalina.  When I go to open photoshop it says "your application install seems to be damaged".  I have deleted the program & redownloaded from Adobe & cannot reinstall.  Is it jsut no longer compatible?

 

[Moving from generic Start/Help forum to the specific Program forum... Mod]
[To find a forum for your program please start at https://community.adobe.com/]

Most Valuable Participant
Correct answer by Test Screen Name | Most Valuable Participant

Just no longer compatible. With Catalina, Apple decided to make ALL old apps obsolete. Part of the Joy of Mac I guess.

TOPICS
Bug, Feature request

Views

199

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Nov 21, 2019 0
Most Valuable Participant ,
Nov 21, 2019

Copy link to clipboard

Copied

Catalina is 64bit ONLY - if your program is 32bit it will not run

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 21, 2019 0
Most Valuable Participant ,
Nov 21, 2019

Copy link to clipboard

Copied

Just no longer compatible. With Catalina, Apple decided to make ALL old apps obsolete. Part of the Joy of Mac I guess.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 21, 2019 0